Issue #10995 has been updated by Usaku NAKAMURA.

Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: DONE to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONE

----------------------------------------
Bug #10995: 2.2.1 fails at make install with mingw-w64 on archlinux
https://bugs.ruby-lang.org/issues/10995#change-52525

* Author: Marty Plummer
* Status: Closed
* Priority: Normal
* Assignee: 
* ruby -v: ruby 2.2.1p85 (2015-02-26 revision 49769) [x86_64-linux]
* Backport: 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONE
----------------------------------------
Greetings. Working on updating the PKGBUILD for mingw-w64-ruby on the AUR, and ran into a curious issue. Compilation itself works fine, and even the make install step works fine (for i686-w64-mingw, at the least) up untill the point it attempts to install bundle gems, after which it dies with an error with fiddle.

---Files--------------------------------
mingw-w64-ruby-2.2.1-1-x86_64-build.log (91.9 KB)
mingw-w64-ruby-2.2.1-1-x86_64-package.log (23.5 KB)


-- 
https://bugs.ruby-lang.org/